- Home
- API Enriched
- Tenant And Identity
- web
- Replace Tenant Profile.
Replace Tenant Profile.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/tenant_profiles/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"ct_groups":[{"name":"example","namespace_roles":[{"namespace":"example","role":"example"}]}],"enable_support_access":true,"favicon":{"aws_s3":{},"content":"example","content_type":"example"},"logo":{"aws_s3":{},"content":"example","content_type":"example"},"plan":{"name":"example","namespace":"example"},"support_email":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/tenant_profiles/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "ct_groups": [ { "name": "example", "namespace_roles": [ { "namespace": "example", "role": "example" } ] } ], "enable_support_access": true, "favicon": { "aws_s3": {}, "content": "example", "content_type": "example" }, "logo": { "aws_s3": {}, "content": "example", "content_type": "example" }, "plan": { "name": "example", "namespace": "example" }, "support_email": "example" } }'Replaces attributes of a tenant_profile configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
List of user groups to be created on child tenant.
Shape for specifying group object template for ct groups.
object
Name of the child tenant user group. Required: YES.
[ ] List of namespaces and associated roles to be created in the new Child Tenant.
Required: YES.
Allows linking namespaces and roles.
object
All Namespaces with custom names will be created in the new Child Tenant. Input a ’*’ to apply to all application namespaces. The System, Shared, and Default namespaces will be created automatically. Required: YES.
User role that users in the newly created group will inherit Required: YES.
Selecting Support Access will allow for F5XC Support teams to access the new Child Tenant for troubleshooting. Unselecting will pause access for XC Support.
object
object
Content of the file.
Content type of the file (MIME type)
object
object
Content of the file.
Content type of the file (MIME type)
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Support Email address for child tenant.
Examplegenerated
{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "ct_groups": [ { "name": "example", "namespace_roles": [ { "namespace": "example", "role": "example" } ] } ], "enable_support_access": true, "favicon": { "aws_s3": {}, "content": "example", "content_type": "example" }, "logo": { "aws_s3": {}, "content": "example", "content_type": "example" }, "plan": { "name": "example", "namespace": "example" }, "support_email": "example" }}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example